#
# spec file for package perl-Authen-NTLM
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Authen-NTLM
Version:        1.09
Release:        1.1
License:        GPL-1.0+ or Artistic-1.0
%define cpan_name NTLM
Summary:        An NTLM authentication module
Url:            http://search.cpan.org/dist/NTLM/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/authors/id/N/NB/NBEBOUT/NTLM-%{version}.tar.gz
Source:         NTLM-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Digest::HMAC_MD5)
BuildRequires:  perl(MIME::Base64)
Requires:       perl(Digest::HMAC_MD5)
Requires:       perl(MIME::Base64)
%{perl_requires}

%description
This module provides methods to use NTLM authentication.  It can
be used as an authenticate method with the Mail::IMAPClient module
to perform the challenge/response mechanism for NTLM connections
or it can be used on its own for NTLM authentication with other
protocols (eg. HTTP).

The implementation is a direct port of the code from F<fetchmail>
which, itself, has based its NTLM implementation on F<samba>.  As
such, this code is not especially efficient, however it will still
take a fraction of a second to negotiate a login on a PII which is
likely to be good enough for most situations.

%prep
%setup -q -n NTLM-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes COPYING-Artistic COPYING-GPL README

%changelog
* Fri Jan 25 2013 chris@computersalat.de
- initial package 1.09
  * created by cpanspec 1.78.03
